What's new on

Pigeonhole Live news feed and changelog.

Announcement
January 09, 2020

Notice: Deprecation of TLS version 1.1

We use Transport Layer Security (TLS) to secure communications on Pigeonhole Live.

In line with major web browsers from Apple, Google, Microsoft and Mozilla deprecating support for TLS 1.0 and 1.1 in March 2020, Pigeonhole Live will also no longer support TLS version 1.1 from 1st April 2020. (Pigeonhole Live support for TLS 1.0 was already removed in 2019.)

To continue to securely access Pigeonhole Live, users will need a browser version that supports TLS version 1.2 or above. These browsers include Internet Explorer 11, Mozilla Firefox 27, Google Chrome 30 and Apple Safari 7. Mobile browsers require iOS 5.1 and Android 5 versions.

If you have additional questions, please contact security@pigeonlab.com.

emoji negtive reaction emoji neutral reaction emoji positive reaction
Thank you for your feedback.
Create your own newsfeed